<!DOCTYPE html>
<html>
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Demo | Memorial Pages Portal | Adstate Embeddable Solutions</title>
    <style>
      html,
      body {
        margin: 0;
      }

      *,
      *::before,
      *::after {
        box-sizing: border-box;
      }

      body {
        font-size: 16px;
        line-height: 1.5;
        font-family: sans-serif;
        background-color: #f0f0f0;
      }

      body > header > div,
      body > footer > div {
        display: block;
        margin: 0 auto;
        align-items: center;
        width: 100%;
        max-width: 1240px;
      }

      body > main {
        background-color: #fff;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
      }

      body > main > img {
        margin: 1em auto;
        width: 4em;
      }

      body > header {
        padding: 4em 2em 16em;
        background-size: cover;
        background-position: bottom center;
        background-image: url('/images/demo-header.jpg');
      }

      body > footer {
        display: block;
        margin: 4em auto;
      }

      #demo-settings {
        display: flex;
      }

      #demo-settings > div {
        padding: 0 1em 1em;
        border-radius: 8px;
        background-color: rgba(255, 255, 255, 0.5);
        border: 1px solid rgba(255, 255, 255, 0.5);
        -webkit-backdrop-filter: blur(0.25em);
        backdrop-filter: blur(0.25em);
      }

      #demo-settings form {
        display: flex;
        flex-direction: column;
        gap: 0.5rem;
      }

      #demo-settings form > div {
        display: grid;
        grid-template-columns: 1fr 2fr;
        gap: 0.5rem;
      }

      #smart-banner-wrapper {
        position: sticky;
        top: 0;
        z-index: 1;
      }
    </style>
  </head>
  <body>
    <div id="smart-banner-wrapper"></div>
    <header>
      <div>
        <p><a href="/smart-banner-component/">⬅️ Go back</a></p>
        <br />

        <h1>Demo website</h1>
        <p>Here is our websites content</p>

        <div id="demo-settings">
          <div>
            <h2>Update demo settings</h2>
            <form action="" method="get">
              <div>
                <label for="title-input">title</label>
                <input id="title-input" type="text" name="title" value="Last ned Minnesider appen!" />
              </div>
              <div>
                <label for="extraTextInput">extraText</label>
                <input id="extraTextInput" type="text" name="extraText" value="Last ned appen for å få tilgang til alle funksjonene." />
              </div>
              <div>
                <label for="showCloseButton-input">showCloseButton</label>
                <input id="showCloseButton-input" type="checkbox" name="showCloseButton" checked />
              </div>
              <div>
                <label for="linkTextInput">linkText</label>
                <input id="linkTextInput" type="text" name="linkText" value="Last ned" />
              </div>
              <div>
                <label for="description-input">description</label>
                <input id="description-input" type="text" name="description" value="Få den beste opplevelsen med appen." />
              </div>
              <div>
                <label for="link-input">link</label>
                <input id="link-input" type="text" name="link" value="https://minnesider.no/app" />
              </div>
              <div>
                <label for="rating-input">rating</label>
                <input id="rating-input" type="number" name="rating" value="5" min="1" max="5" />
              </div>
              <div>
                <label for="logo-input">logo</label>
                <input
                  id="logo-input"
                  type="text"
                  name="logo"
                  value="https://design.adstate.com/assets/minnesider-branding/logo/app-icon.svg"
                />
              </div>
              <div>
                <label for="showOnlyOn-input">showOnlyOn</label>
                <select multiple id="showOnlyOn-input" name="showOnlyOn">
                  <option value="mobile">mobile</option>
                  <option value="tablet">tablet</option>
                  <option value="desktop">desktop</option>
                </select>
              </div>
              <div>
                <label for="show-input">show</label>
                <input id="show-input" type="checkbox" name="show" checked />
              </div>
              <div>
                <label for="rememberOpenCloseState-input">rememberOpenCloseState</label>
                <input id="rememberOpenCloseState-input" type="checkbox" name="rememberOpenCloseState" checked />
              </div>
              <div>
                <label for="use-native-for-ios-input">Use native for iOS</label>
                <input id="use-native-for-ios-input" type="checkbox" name="use-native-for-ios" checked />
              </div>
              <div>
                <label for="native-for-ios-app-id-input">Native for iOS app id</label>
                <input id="native-for-ios-app-id-input" type="text" name="native-for-ios-app-id" value="1529239925" />
              </div>
              <div>
                <label for="native-for-ios-app-argument-input">Native for iOS app argument</label>
                <input id="native-for-ios-app-argument-input" type="text" name="native-for-ios-app-argument" value="admemoria" />
              </div>
              <div>
                <a href="./">Reset demo</a>
                <button type="submit">Update demo</button>
              </div>
            </form>
          </div>
        </div>
      </div>
    </header>
    <main>
      <h1>Main</h1>
    </main>
    <footer>
      <div>
        <h2>Footer</h2>
        <p>We have a footer</p>
      </div>
    </footer>
    <script>
      ;(function () {
        let defaultTitle = 'Last ned Minnesider appen!'
        let defaultDescription = 'Få den beste opplevelsen med appen.'
        let defaultExtraText = 'Last ned appen for å få tilgang til alle funksjonene.'
        let defaultLinkText = 'Last ned'
        let defaultLink = 'https://minnesider.no/app'
        let defaultLogo = 'https://design.adstate.com/assets/minnesider-branding/logo/app-icon.svg'
        let defaultShowCloseButton = true
        let defaultRating = 5
        let defaultShowOnlyOn = ['mobile', 'tablet', 'desktop']
        let defaultShow = true
        let defaultRememberOpenCloseState = true
        let defaultUseNativeForIos = true
        let defaultNativeForIosAppId = '1529239925'
        let defaultNativeForIosAppArgument = 'admemoria'

        const adstateSmartBanner = document.createElement('adstate-smart-banner')

        const params = new URL(location.href).searchParams
        if (Array.from(params).length !== 0) {
          defaultTitle = params.get('title')
          defaultDescription = params.get('description')
          defaultExtraText = params.get('extraText')
          defaultLinkText = params.get('linkText')
          defaultLink = params.get('link')
          defaultLogo = params.get('logo')
          defaultShowCloseButton = params.get('showCloseButton') === 'on'
          defaultRating = params.get('rating')
          defaultShowOnlyOn = params.getAll('showOnlyOn')
          defaultShow = params.get('show') === 'on'
          defaultRememberOpenCloseState = params.get('rememberOpenCloseState') === 'on'
          defaultUseNativeForIos = params.get('use-native-for-ios') === 'on'
          defaultNativeForIosAppId = params.get('native-for-ios-app-id')
          defaultNativeForIosAppArgument = params.get('native-for-ios-app-argument')
        }

        console.log(defaultShowOnlyOn)
        adstateSmartBanner.setAttribute('title', defaultTitle)
        adstateSmartBanner.setAttribute('description', defaultDescription)
        adstateSmartBanner.setAttribute('extra-text', defaultExtraText)
        adstateSmartBanner.setAttribute('link-text', defaultLinkText)
        adstateSmartBanner.setAttribute('link', defaultLink)
        adstateSmartBanner.setAttribute('logo', defaultLogo)
        adstateSmartBanner.setAttribute('show-close-button', defaultShowCloseButton)
        adstateSmartBanner.setAttribute('rating', defaultRating)
        adstateSmartBanner.setAttribute('show-only-on', defaultShowOnlyOn.join(','))
        adstateSmartBanner.setAttribute('show', defaultShow)
        adstateSmartBanner.setAttribute('remember-open-close-state', defaultRememberOpenCloseState)
        adstateSmartBanner.setAttribute('use-native-for-ios', defaultUseNativeForIos)
        adstateSmartBanner.setAttribute('native-for-ios-app-id', defaultNativeForIosAppId)
        adstateSmartBanner.setAttribute('native-for-ios-app-argument', defaultNativeForIosAppArgument)

        const wrapperElement = document.querySelector('#smart-banner-wrapper')
        if (wrapperElement) {
          wrapperElement.innerHTML = ''
          wrapperElement.appendChild(adstateSmartBanner)
        }

        document.querySelector('#title-input').value = defaultTitle
        document.querySelector('#description-input').value = defaultDescription
        document.querySelector('#extraTextInput').value = defaultExtraText
        document.querySelector('#linkTextInput').value = defaultLinkText
        document.querySelector('#link-input').value = defaultLink
        document.querySelector('#logo-input').value = defaultLogo
        document.querySelector('#showCloseButton-input').checked = defaultShowCloseButton
        document.querySelector('#rating-input').value = defaultRating
        const showOnlyOnSelect = document.querySelector('#showOnlyOn-input')
        showOnlyOnSelect.querySelectorAll('option').forEach((option) => {
          option.selected = defaultShowOnlyOn.includes(option.value)
        })
        document.querySelector('#show-input').checked = defaultShow
        document.querySelector('#rememberOpenCloseState-input').checked = defaultRememberOpenCloseState
        document.querySelector('#use-native-for-ios-input').checked = defaultUseNativeForIos
        document.querySelector('#native-for-ios-app-id-input').value = defaultNativeForIosAppId
        document.querySelector('#native-for-ios-app-argument-input').value = defaultNativeForIosAppArgument

        const scriptElement = document.createElement('script')
        scriptElement.src = '/smart-banner-component.js'
        document.body.appendChild(scriptElement)
      })()
    </script>
  </body>
</html>
